<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Entity;

class PagSeguroResponseViewModel extends Entity {
	protected $id;
	protected $reference_id;
	protected $created_at;
	protected $customer;
	protected $items;
	protected $shipping;
	protected $charges;
	protected $notification_urls;
	protected $links;

	public static function builder() {

		return new PagSeguroResponseViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getReferenceId() {

		return $this->reference_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCreatedAt() {

		return $this->created_at;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCustomer() {

		return $this->customer;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getItems() {

		return $this->items;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getShipping() {

		return $this->shipping;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCharges() {

		return $this->charges;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNotificationUrls() {

		return $this->notification_urls;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getLinks() {

		return $this->links;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $reference_id
	 */
	public function setReferenceId($reference_id) {

		$this->reference_id = $reference_id;

	}

	/**
	 *
	 * @param mixed $created_at
	 */
	public function setCreatedAt($created_at) {

		$this->created_at = $created_at;

	}

	/**
	 *
	 * @param mixed $customer
	 */
	public function setCustomer($customer) {

		$this->customer = $customer;

	}

	/**
	 *
	 * @param mixed $items
	 */
	public function setItems($items) {

		$this->items = $items;

	}

	/**
	 *
	 * @param mixed $shipping
	 */
	public function setShipping($shipping) {

		$this->shipping = $shipping;

	}

	/**
	 *
	 * @param mixed $charges
	 */
	public function setCharges($charges) {

		$this->charges = $charges;

	}

	/**
	 *
	 * @param mixed $notification_urls
	 */
	public function setNotificationUrls($notification_urls) {

		$this->notification_urls = $notification_urls;

	}

	/**
	 *
	 * @param mixed $links
	 */
	public function setLinks($links) {

		$this->links = $links;

	}

}

